Name:		xkbutils
Version:	1.0.6
Release:	%mkrel 2
Summary:	X.Org X11 XKB utilities
Group:		Development/X11
License:	MIT
URL:		https://xorg.freedesktop.org
Source:		https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz

BuildRequires:	pkgconfig(x11) >= 1.0.0
BuildRequires:	pkgconfig(xkbfile) >= 1.0.1
BuildRequires:	pkgconfig(xaw7) >= 1.0.1
BuildRequires:	x11-util-macros >= 1.0.1

%description
This package provides several XKB utilities for X.org.

%prep
%setup -q

%build
%configure	--x-includes=%{_includedir} \
		--x-libraries=%{_libdir}

%make_build

%install
%make_install

%files
%doc README.md
%license COPYING
%{_bindir}/xkbbell
%{_bindir}/xkbvleds
%{_bindir}/xkbwatch
%{_mandir}/man1/*.1.*



%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.0.6-2.mga10
+ Revision: 2224601
- Mageia 10 Mass Rebuild

* Sun Jun 30 2024 daviddavid <daviddavid> 1.0.6-1.mga10
+ Revision: 2078120
- new version: 1.0.6

* Thu Jul 21 2022 tv <tv> 1.0.5-1.mga9
+ Revision: 1869786
- 1.0.5

* Thu Mar 31 2022 umeabot <umeabot> 1.0.4-9.mga9
+ Revision: 1835978
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.0.4-8.mga8
+ Revision: 1518812
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.0.4-7.mga7
+ Revision: 1301919
- Mageia 7 Mass Rebuild

* Thu Jul 12 2018 wally <wally> 1.0.4-6.mga7
+ Revision: 1243207
- fix build on aarch64
- use new make macros

* Thu Feb 04 2016 umeabot <umeabot> 1.0.4-5.mga6
+ Revision: 935454
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.4-4.mga5
+ Revision: 740731
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.4-3.mga5
+ Revision: 690675
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.4-2.mga4
+ Revision: 525629
- Mageia 4 Mass Rebuild

* Fri May 31 2013 tv <tv> 1.0.4-1.mga4
+ Revision: 433814
- new release

* Mon Jan 14 2013 umeabot <umeabot> 1.0.3-2.mga3
+ Revision: 387064
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 ennael <ennael> 1.0.3-1.mga1
+ Revision: 27829
- imported package xkbutils


* Tue Nov 02 2010 Thierry Vignaud <tv@mandriva.org> 1.0.3-1mdv2011.0
+ Revision: 591825
- new release

* Wed Nov 11 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.0.2-1mdv2010.1
+ Revision: 464712
- New version: 1.0.2

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.0.1-9mdv2009.1
+ Revision: 351036
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.0.1-8mdv2009.0
+ Revision: 226049
- rebuild

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert to use upstream tarball, build requires and remove non mandatory local patches.

* Thu Jan 17 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.1-7mdv2008.1
+ Revision: 154449
- Updated BuildRequires and resubmit package.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 31 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.1-6mdv2008.0
+ Revision: 76533
- rebuild for 2008
- slight spec clean


* Fri Sep 01 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-09-01 20:56:41 (59477)
- rebuild to fix libXaw.so.8 dependency

* Thu Jun 01 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-06-01 20:13:15 (31864)
- fill in missing description & summaries

* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Tue May 30 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-30 21:08:28 (31755)
- rebuild against new libXaw package

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

